#!/bin/bash

if [ -n "$LANGUAGE" ]; then
	LISTLANG="`echo $LANGUAGE | tr ':' ' '`" ;
else
	if [ -n "$LANG" ]; then
		LISTLANG="$LANG"
	else
		LISTLANG=en
	fi
fi

CAPTION=""

for i in $LISTLANG
do
	if [ "$CAPTION" != "" ]; then break ; fi
	case "$i" in
		en*) CAPTION="Mandrake Updates" ;;
		br*) CAPTION="Hizivadurio Mandrake" ;;
		da*) CAPTION="Mandrake Opdateringer" ;;
		de*) CAPTION="Mandrake Updates" ;;
		es*) CAPTION="Actualizaciones de Mandrake" ;;
		et*) CAPTION="Mandrake parandused" ;;
		fr*) CAPTION="Mises  jour de Mandrake" ;;
		ga*) CAPTION="Nuashonra Mandrake" ;;
		gl*) CAPTION="Actualizacins de Mandrake" ;;
		hr*) CAPTION="Mandrake nadogradnje" ;;
		hu*) CAPTION="Mandrake frisstsek" ;;
		id*) CAPTION="Situs Update Mandrake" ;;
		is*) CAPTION="Mandrake uppfrslur" ;;
		it*) CAPTION="Aggiornamenti Mandrake" ;;
		lt*) CAPTION="Mandrake atnaujinimai" ;;
		nl*) CAPTION="Mandrake updates" ;;
		no*) CAPTION="Mandrake oppdateringer" ;;
		ro*) CAPTION="Actualizri pentru Mandrake" ;;
		wa*) CAPTION="Metaedje a djo di Mandrake" ;;
	esac
done
if [ "$CAPTION" = "" ]; then CAPTION="Mandrake Updates" ; fi

/usr/bin/gdesktoplnk \
	--progname="/usr/X11R6/bin/MandrakeUpdate" \
	--icon-name="../icons/mdk-updates.xpm" \
	--icon-caption="$CAPTION" \
	--link-name="MDKUpdates" \
	--desktop-dir="$HOME/.gnome-desktop"

