Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.5.51
Release:	7mdk
Copyright:	GPL
Group:		File tools

Source0:	ftp://ftp.nuclecu.unam.mx/linux/local/devel/%{name}-%{version}.tar.bz2
Source1:	mandrake.links
Source2:	ldp.xpm
Source3:	i-zipdisk2.png
Source4:	mandrake.links.sh
Source5:	gmc_menuentry
Source6:	gmc16.xpm.bz2
Source7:	gmc32.xpm.bz2
Source8:	gmc48.xpm.bz2

URL:		http://www.gnome.org/mc/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	pam >= 0.68, mandrake_desk >= 1.0.4-9mdk
BuildRequires:  ORBit >= 0.5.2
Prefix:		%{_prefix}
Prereq:		/sbin/chkconfig

Patch0:    mc-4.5.27-xtermcolor.patch.bz2
Patch2:    mc-4.5.30-fixwarning.patch.bz2
Patch3:    mc-4.5.36-mimekeys.patch.bz2
Patch4:    mc-4.5.35-homedir.patch.bz2


Patch14:   mc-4.5.33-user_tmp.patch.bz2
Patch15:   mc-4.5.31-enlightenment_keys.patch.bz2
Patch16:   mc-4.5.30-norpmmime.patch.bz2
#Patch17:   mc-4.5.41-ext-patch.bz2

Patch20:   mc-4.5.41-gdesktoplnk.diff.bz2
Patch21:   mc-gdeskpopt.patch.bz2
#(dam's)
Patch22:   mc-4.5.44-toolbar-mdk.path.bz2
Patch23:   mc-4.5.44-toolbar-po-mdk.path.bz2
Patch24:   mc-4.5.51-include.patch.bz2
Patch25:   mc-4.5.51-icons.patch.bz2
# keep until a new release of mc includes the change
Patch26:   mc-4.5.51-8bits.patch.bz2
# redhat patch for asking again if login as root
Patch27:   mc-4.5.51-showagain.patch.bz2
# proxy support 
Patch28:   mc-4.5.51-proxy.patch.bz2

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.  :-)

%package -n gmc
Summary:	Midnight Commander visual shell (GNOME version)
Icon:		gmc-logo.gif
Requires:	mc >= %{PACKAGE_VERSION} mandrake_desk >= 1.0.4-9mdk
Group:		Graphical desktop/GNOME

%description -n gmc
Midnight Commander is a visual shell much like a file manager, only with
way more features.  This is the GNOME version. It's coolest feature is the
ability to ftp, view tar, zip files and poke into RPMs for specific files.

%package -n mcserv
Summary:	Server for the Midnight Commander network file management system
Group:		System/Servers
Requires:	portmap

%description -n mcserv
The Midnight Commander file management system will allow you to
manipulate the files on a remote machine as if they were local.  This is
only possible if the remote machine is running the mcserv server program.
Mcserv provides clients running Midnight Commander with access to the
host's file systems.

Install mcserv on machines if you want to access their file systems
remotely using the Midnight Commander file management system.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch -p1 -b .xtermcolor

%patch2 -p1 -b .fixwarning

%patch3 -p1 -b .mimekeys

%patch4 -p1 -b .homedir

%patch16 -p1 -b .norpmmime


# ~/tmp patch (old)
##%patch14 -p1

# E keys patch (disabled)
#%patch15 -p1 -b .enlightenment
#

#%patch17 -p1

%patch20 -p1 -b .gdesktoplnk
%patch21 -p0
%patch22 -p1
%patch23 -p1
#%patch24 -p1 -b .include
%patch25 -p1 -b .icons
# keep until a new release of mc includes the change
%patch26 -p1 -b .8bits

%patch27 -p1 -b .showagain

%patch28 -p1 -b .proxy

%build

%configure --with-gnome --without-debug --with-included-slang
#Fix bzip2 warning
perl -p -i -e 's/--repetitive-best/-9/' lib/mc.menu

%make

%install
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,profile.d,X11/wmconfig} $RPM_BUILD_ROOT%{_initrddir}

#fix mc.sh
perl -p -i -e 's/rm \"/rm -f \"/g' lib/mc.sh

%makeinstall

(cd icons; make DESTDIR=$RPM_BUILD_ROOT install_icons)

install lib/mcserv.init $RPM_BUILD_ROOT%{_initrddir}/mcserv

install lib/mcserv.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mcserv
install lib/{mc.sh,mc.csh} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install lib/mc.global $RPM_BUILD_ROOT%{_sysconfdir}

# clean up this setuid problem for now
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/mc/bin/cons.saver


## Moved to mandrake_desk
# copy mandake desktop default icons
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/desktop-links/
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{prefix}/lib/desktop-links/
#mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/mc/desktop-scripts/
#install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/%{prefix}/lib/mc/desktop-scripts/


# ldp icon
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/mc


install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/%{_menudir}/gmc

#(deush) menu
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE6} >$RPM_BUILD_ROOT%{_miconsdir}/gmc.xpm
bzcat %{SOURCE7} >$RPM_BUILD_ROOT%{_iconsdir}/gmc.xpm
bzcat %{SOURCE8} >$RPM_BUILD_ROOT%{_liconsdir}/gmc.xpm

# (gc) Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.5.44-5mdk
# remove /usr/lib/mc/desktop-scripts/startup.links in order to not have the link to slashdot.org
rm -f $RPM_BUILD_ROOT%{_libdir}/mc/desktop-scripts/startup.links

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n mcserv
/sbin/chkconfig --add mcserv

%preun -n mcserv
/sbin/chkconfig --del mcserv

%post -n gmc
## menu
%{update_menus}

%postun -n gmc
## menu
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)

%doc FAQ COPYING NEWS README
%{_bindir}/mc
%{_bindir}/mcedit
%{_bindir}/mcmfmt
%{_libdir}/mc/mc.ext
%{_libdir}/mc/mc.hint
%{_libdir}/mc/mc.hlp
%{_libdir}/mc/mc.lib
%{_libdir}/mc/mc.menu
%{_libdir}/mc/bin/cons.saver
%{_libdir}/mc/extfs/*
%{_mandir}/man1/*
%dir %{_libdir}/mc
%dir %{_libdir}/mc/bin
%{_datadir}/mime-info/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_libdir}/mc/syntax/*
%{_libdir}/mc/term/*


%files -n mcserv
%defattr(-, root, root)

%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/pam.d/mcserv
%config(noreplace) %{_initrddir}/mcserv
%attr(-, root, man)  %{_mandir}/man8/mcserv.8.bz2
%{_bindir}/mcserv

%files -n gmc
%defattr(-, root, root)

%doc lib/README.desktop
%config(noreplace) /etc/mc.global
%{_bindir}/gmc
%{_bindir}/gdesktoplnk
%{_bindir}/plain-gmc
%{_bindir}/gmc-client
%{_libdir}/mc/layout
%{_libdir}/mc/mc-gnome.ext
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_datadir}/pixmaps/mc/*
%dir %{_datadir}/mime-info
%{_datadir}/mime-info/mc.keys
%{_datadir}/idl/*

%config %{_sysconfdir}/CORBA/servers/*
%dir %{_libdir}/desktop-links
%dir %{_libdir}/mc/desktop-scripts/*
%{_menudir}/*

%changelog
* Fri Sep 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.5.51-7mdk
- Correct proxy support (bug #443)

* Wed Sep 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.5.51-6mdk
- Patch to disable warning when running as root (from Redhat)

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.5.51-5mdk
- Use more macros
- Use find_lang macro

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 4.5.51-4mdk
- Fix gmc Group
- Remove french Descriptions
- Requires actual mandrake_desk

* Fri Jul 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.5.51-3mdk
- made 8bit clean the default for display and input (now mcedit is finally
  usable :) )

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 4.5.51-2mdk
- BM + macrozification.
- added icons patch.

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 4.5.51-1mdk
- new release.
- new BuidRequires.

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.50-1mdk
- new release

* Wed May 17 2000 Daouda Lo <daouda@mandrakesoft.com> 4.5.46-1mdk
- this upgrade fix lot of minor bugs.
- gmc-client in right place now

* Fri May 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.5.44-7mdk
- launch gmc with --nodesktop in menu entry, so that it does not
  pollute kde desktop icons with gnome desktop icons!

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 4.5.44-6mdk
- corrected toolbar usize and translation.

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.5.44-5mdk
- remove /usr/lib/mc/desktop-scripts/startup.links in order
  to not have the link to slashdot.org

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 4.5.44-4mdk
- idl files are for gmc package ;-)

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 4.5.44-3mdk
- mc didn't open rpm files and list contains of this files. 
- missing .idl files added.

* Fri Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 4.5.44-2mdk
- add icon to gmc

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 4.5.44-1mdk
- release from helix

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.5.42-6mdk
- fix group
- add menu entry for package gmc

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix gdesktoplnk on alpha.

* Tue Jan 04 2000 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix mc.* scripts (stupid rm -i)

* Sat Jan 01 2000 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rely on mc's internal fixes for safe links in /tmp

* Thu Dec 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Move the mandrake files to mandrake_desk (hey what a concept)

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.5.42
	* Changes:
        - Important RFC-compliancy fix for ftpfs (Alexander).
        - Minor fixes to the desktop customization code (Miguel).
        - Cosmetic fixes to popup menus for devices (Jonathan).
        - File renaming fixes for the desktop and icon views (Federico).
        - Added a "--disablerootwarning" option (Vincent).
        - More sanity checks for the widget systems (Pavel).
        - Robustness fixes for desktop icon arranging (Federico).
        - Ability to free VFSes (Pavel).
        - Display fixes for ftpfs (Pavel).
        - Fishfs and general VFS fixes (Pavel).
        - Proofreading fixes of the user's guide (Kjartan, Dave).
        - Many updated translations (Ivan, David Sauer, David Martin,
          Kenneth, Marco, Sung-Hyun, Kjartan, Rodrigo, Evgeny,
          Richard, Lorint, Birger, Miroslav, Yuri).

* Mon Nov 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added gdesktoplnk utility
- and scripts that us it to create default icons
- included the man.bz2 and lzh patches

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- enable SMP check/build
- redo ext patch
- redo user tmp patch in perl
- 4.5.40 : (if i find one more SOURCE_VER i'm hanging someone)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.5.39

* Wed Sep 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- remove e keys patch, (keybindings per documentation)

* Sat Sep 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Merged :
	-- Sat Sep 04 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
	 - Added support for bz2 man pages in mc.ext.
	 - Added support for TAR (uppercase) extension in mc.ext (it's often
	   used in ISO CDs).
	 - Changed lharc to lha in mc.ext.
	 - Fixed a problem with ls in vfs/ulha script.
- And :
	-- Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
	 - Upgraded to real 4.5.38; it should work much better with gnome-libs 1.0.16


* Thu Aug 19 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Opps, forgot to remove the bzip2 warning

* Thu Aug 19 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update to bzip2 scripts for latest bzip2 
- update to the latest cvs version

* Wed Jul 21 1999 G.Colbert <gregus@etudiant.net>
- Oups, I forgot to translate some descriptions!
	* Wed Jul 21 1999 G.Colbert <gregus@etudiant.net>
	- fr locale

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 4.5.37

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.5.36.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- 4.5.35.
- Add patch compilation.

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a missing icons from CVS.
- 4.5.34 :
   * Samba File System support.

     Wayne Roberts contributed the SMBfs virtual file system to the
     file manager, to use it just use the special path name "/#smb:", like this:
     "/#smb:thehost".

     It still needs username encoding, password encoding and that sort
     of thing, so if you want to help out in this area, contact Wayne
 
   * Many new localizations and updated localizations

   * Kjartan provided some GNOME documentation for the file manager.

   * GMC now loads pathnames specified on the command line.

   * Federico dropped some dead code from the code.

   * Viewer should paint colors correctly now.

   * Federico's changes to add the proper WMclass names to the desktop
     windows;  He also did some updates to the desktop handling code.

   * Starting terminals from the desktop starts them from the Home
     directory for the user, not the desktop directory.

   * Japaneese support by Akira.

   * Many compilation fixes, and many runtime fixes.  You need to try
     this out.

   * Updated documentation on the desktop.links startup option.

* Tue Jun 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- returned missing files into mc package (yes they just walked off by them selves)

* Sun Jun  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.5.33
- use DESTDIR=$RPM_BUILD_ROOT solves bugs in help files
- never use /tmp, always use ~/tmp. cause I don't like it 

* Wed Jun 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Patched to co-exsist better with enlightenment default keys 
  right click now requires the shitkey to active the popup

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Compress manpages.
- Change links on the desktop (no ftp, use http mirrors)

* Wed May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 4.5.31
- remove -g from CFLAGS - we don't need it

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- vanilla mc don't need icons.

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- removed rpm menu defs - we depend on gnorpm for these
- fixed bug that caused crash if group doesnt exist for file

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- cleanup several dialogs

* Mon Apr 12 1999 Michael Fulbright <drmike@redhat.com>
- true version 4.5.30

* Fri Apr 09 1999 Michael Fulbright <drmike@redhat.com>
- version pre-4.5.30 with patch to make this link on alpha properly
  Mark as version 0.7 to denote not the official 4.5.30 release

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- fixed errata support URL

* Tue Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.29
- added default desktop icons for Red Hat desktop
- added redhat-logos to requirements
- added README.desktop to doc list for gmc
- added locale data

* Fri Mar 25 1999 Preston Brown <pbrown@redhat.com>
- patched so that TERM variable set to xterm produces color

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- made sure /etc/pam.d/mcserv has right permissions

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.27

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- fix'd icon display problem

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.25 AND 4.5.26

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.24

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.16
- removed mc.keys from mc file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.14
- fixed file list

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.11

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.10

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- added metadata to gmc file list

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.9

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 4.5.6

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Thu Aug 20 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against gnome-libs 0.27 and gtk+-1.1

* Thu Jul 09 1998 Michael Fulbright <msf@redhat.com>
- made cons.saver not setuid

* Sun Apr 19 1998 Marc Ewing <marc@redhat.com>
- removed tkmc

* Wed Apr 8 1998 Marc Ewing <marc@redhat.com>
- add %{prefix}/lib/mc/layout to gmc

* Tue Dec 23 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added --without-debug to configure,
- modification in %build and %install and cosmetic modification in packages
  headers,
- added %%{PACKAGE_VERSION} macro to Buildroot,
- removed "rm -rf $RPM_BUILD_ROOT" from %prep.
- removed Packager field.

* Thu Dec 18 1997 Michele Marziani <marziani@fe.infn.it>
- Merged spec file with that from RedHat-5.0 distribution
  (now a Hurricane-based distribution is needed)
- Added patch for RPM script (didn't always work with rpm-2.4.10)
- Corrected patch for mcserv init file (chkconfig init levels)
- Added more documentation files on termcap, terminfo, xterm

* Thu Oct 30 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added dependency on portmap

* Wed Oct 29 1997 Michael K. Johnson <johnsonm@redhat.com>

- fixed spec file.
- Updated to 4.1.8

* Sun Oct 26 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- updated to 4.1.6
- added %attr macros in %files,
- a few simplification in %install,
- removed glibc patch,
- fixed installing /etc/X11/wmconfig/tkmc.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>

- updated to 4.1.5
- added wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>

- chkconfig is for mcserv package, not mc one

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>

- patched init script for chkconfig
- don't turn on the service by default

* Fri Oct 10 1997 Michael K. Johnson <johnsonm@redhat.com>

- Converted to new PAM conventions.
- Updated to 4.1.3
- No longer needs glibc patch.

* Thu May 22 1997 Michele Marziani <marziani@fe.infn.it>

- added support for mc alias in /etc/profile.d/mc.csh (for csh and tcsh)
- lowered number of SysV init scripts in /etc/rc.d/rc[0,1,6].d
  (mcserv needs to be killed before inet)
- removed all references to $RPM_SOURCE_DIR
- restored $RPM_OPT_FLAGS when compiling
- minor cleanup of spec file: redundant directives and comments removed

* Sun May 18 1997 Michele Marziani <marziani@fe.infn.it>

- removed all references to non-existent mc.rpmfs
- added mcedit.1 to the %files section
- reverted to un-gzipped man pages (RedHat style)
- removed double install line for mcserv.pamd

* Tue May 13 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- added new rpmfs script,
- removed mcfn_install from mc (adding mc() to bash enviroment is in
  /etc/profile.d/mc.sh),
- /etc/profile.d/mc.sh changed to %config,
- removed %{prefix}/lib/mc/bin/create_vcs,
- removed %{prefix}/lib/mc/term.

* Wed May 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- changed source url,
- fixed link mcedit to mc,

* Tue May 7 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- new version 3.5.27,
- %dir %{prefix}/lib/mc/icons and icons removed from tkmc,
- added commented xmc part.

* Tue Apr 22 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- FIX spec:
   - added URL field,
   - in mc added missing %{prefix}/lib/mc/mc.ext, %{prefix}/lib/mc/mc.hint,
     %{prefix}/lib/mc/mc.hlp, %{prefix}/lib/mc/mc.lib, %{prefix}/lib/mc/mc.menu.

* Fri Apr 18 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

- added making packages: tkmc, mcserv (xmc not work yet),
- gziped man pages,
- added /etc/pamd.d/mcserv PAM config file.
- added instaling icons,
- added /etc/profile.d/mc.sh,
- in %doc added NEWS README,
- removed %{prefix}/lib/mc/FAQ,
- added mcserv.init script for mcserv (start/stop on level 86).
